Bug 23711 - Icons on staff main page should be font icons
Summary: Icons on staff main page should be font icons
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23946
  Show dependency treegraph
 
Reported: 2019-10-01 12:47 UTC by Lucas Gass
Modified: 2019-12-12 16:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23711: Icons on staff main page should be font icons (26.66 KB, patch)
2019-10-01 13:01 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23711: Icons on staff main page should be font icons (26.66 KB, patch)
2019-10-02 07:14 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23711: Change icons and remove unused SVG (26.28 KB, patch)
2019-10-02 07:14 UTC, Lucas Gass
Details | Diff | Splinter Review
Screenshot (47.75 KB, image/png)
2019-10-02 09:49 UTC, Fridolin SOMERS
Details
Bug 23711: Icons on staff main page should be font icons (26.70 KB, patch)
2019-10-02 11:53 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23711: Change icons and remove unused SVG (26.34 KB, patch)
2019-10-02 11:53 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23711: Icons on staff main page should be font icons (26.72 KB, patch)
2019-10-02 14:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23711: Change icons and remove unused SVG (26.34 KB, patch)
2019-10-02 14:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23711: Fix bad path (1.21 KB, patch)
2019-10-02 14:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23711: Icons on staff main page should be font icons (26.78 KB, patch)
2019-10-02 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23711: Change icons and remove unused SVG (26.40 KB, patch)
2019-10-02 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23711: Fix bad path (1.26 KB, patch)
2019-10-02 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23711: Icons on staff main page should be font icons (26.83 KB, patch)
2019-10-03 07:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23711: Change icons and remove unused SVG (26.45 KB, patch)
2019-10-03 07:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23711: Fix bad path (1.32 KB, patch)
2019-10-03 07:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-10-01 12:47:40 UTC
On the staff main page we should use font icons (Font Awesome) instead of sprite.png. These are easier to adjust/customize with CSS than the sprites we currently use.
Comment 1 Lucas Gass 2019-10-01 13:01:35 UTC
Created attachment 93364 [details] [review]
Bug 23711: Icons on staff main page should be font icons

TEST PLAN: 
1. GO to '/cgi-bin/koha/mainpage.pl' and observe the icons. 
2. Apply the patch and clear the browser cache.
3. Refresh '/cgi-bin/koha/mainpage.pl' and make sure all the icons are still display. Note that some are not exactly the same as the old ones, but should be similar. Make sure you enable Course reserves and ILL so you can observe those icons as well.
Comment 2 Owen Leonard 2019-10-01 15:30:53 UTC
I'm curious why you didn't use 'fa-tag' for cataloging? And 'fa-gift' for acquisitions?

Also: misc/interface_customization/staff-home-icons-sprite.svg can be removed too.
Comment 3 Lucas Gass 2019-10-02 07:14:31 UTC
Created attachment 93395 [details] [review]
Bug 23711: Icons on staff main page should be font icons

TEST PLAN: 
1. GO to '/cgi-bin/koha/mainpage.pl' and observe the icons. 
2. Apply the patch and clear the browser cache.
3. Refresh '/cgi-bin/koha/mainpage.pl' and make sure all the icons are still display. Note that some are not exactly the same as the old ones, but should be similar. Make sure you enable Course reserves and ILL so you can observe those icons as well.
Comment 4 Lucas Gass 2019-10-02 07:14:37 UTC
Created attachment 93396 [details] [review]
Bug 23711: Change icons and remove unused SVG
Comment 5 Fridolin SOMERS 2019-10-02 09:49:58 UTC
Created attachment 93403 [details]
Screenshot
Comment 6 Fridolin SOMERS 2019-10-02 11:53:30 UTC
Created attachment 93439 [details] [review]
Bug 23711: Icons on staff main page should be font icons

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 7 Fridolin SOMERS 2019-10-02 11:53:57 UTC
Created attachment 93440 [details] [review]
Bug 23711: Change icons and remove unused SVG

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 8 Lucas Gass 2019-10-02 14:09:17 UTC
Created attachment 93479 [details] [review]
Bug 23711: Icons on staff main page should be font icons

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 9 Lucas Gass 2019-10-02 14:09:28 UTC
Created attachment 93480 [details] [review]
Bug 23711: Change icons and remove unused SVG

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 10 Lucas Gass 2019-10-02 14:09:39 UTC
Created attachment 93481 [details] [review]
Bug 23711: Fix bad path
Comment 11 Owen Leonard 2019-10-02 15:33:45 UTC
Created attachment 93496 [details] [review]
Bug 23711: Icons on staff main page should be font icons

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 12 Owen Leonard 2019-10-02 15:33:49 UTC
Created attachment 93497 [details] [review]
Bug 23711: Change icons and remove unused SVG

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 13 Owen Leonard 2019-10-02 15:33:54 UTC
Created attachment 93498 [details] [review]
Bug 23711: Fix bad path

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 14 Katrin Fischer 2019-10-03 07:21:02 UTC
Created attachment 93509 [details] [review]
Bug 23711: Icons on staff main page should be font icons

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2019-10-03 07:21:06 UTC
Created attachment 93510 [details] [review]
Bug 23711: Change icons and remove unused SVG

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2019-10-03 07:21:10 UTC
Created attachment 93511 [details] [review]
Bug 23711: Fix bad path

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Martin Renvoize 2019-10-03 10:02:25 UTC
Nice work!

Pushed to master for 19.11.00